LINUX.ORG.RU

fvwm дает ошибку на make deb-inpalce

 


0

1

Пробую установить fvwm-2.6.7 на VM. Хочу поставить вчистую, поэтому ставлю вначале голое ядро из mini.iso для ubuntu 16.04. Затем иксы xserver-xorg, кофигурирую Xorg -configure и затем ставлю xinit. Скачиваю fvwm-2.6.7, затем ставлю все что нужно для установки отсюда https://help.ubuntu.com/community/FVWM. Распаковываю, запускаю ./configure, создается Makefile. Ошибок конфигурации нет, кроме libstroke, librplay и librsvg, но их нет в репозитории. Запускаю создание deb: make deb-inplace и получаю ошибку: make *** Нет правила для сборки цели «deb-inplace». Останов. Гугление ничего не дало, поэтому задаю вопрос здесь. В чем м/б причина?

В ченджлоге написано:

	* Removed features:
		
		- The old and unmaintained debian/and rpm/ directories have
		been remmoved; use the maintainers' copies where available.
		- VMS support has been removed.

То есть теперь нет целей в make-файле для сбора deb/rpm пакета.

mky ★★★★★
()
Ответ на: комментарий от rustamych

Видимо, как для всех остальных программ, у которых нет специальных правил сборки deb-пакета.

Развернуть исходник, запустить dh_make, поправить созданые им файлы, запустить debuild. https://www.debian.org/doc/manuals/maint-guide/first.ru.html

Для при правке файлов debian/* подсматривать в debian source-пакет fvwm старой версии.

mky ★★★★★
()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.